/* spezielles jQueryHandling für die Events in Tool Adressinfo (früher Adressdaten bearbeiten) 
 * u.a. werden hier die Clickhandler zum Markieren von Adressen, zum Einfügen neuer Adressen und 
 * zum Bearbeiten bzw. Entfernen von Adressdatensätzen bereitgestellt
 * enthält Funktionen für die Adressübersicht von Tool Adressinfo; die spez. Funktion für die Adressdetails
 * - das Hinzufügen/Bearbeiten v. Adressen - wird in  personendetails.js behandelt
 */


registerNamespace("KuferTools.Adressinfo");

 //Ready Handler
$(document).ready(function() {
  
  var searchadresse = '';
  if(document.URL.search(/searchadresse=1/)) {
    searchadresse = '&searchadresse=1';
  }
  
  //Markierungsdialog
  var adressen = 'Adressen';
  KuferTools.Utils.Dialoge.Uebersicht.PersonMarkierDialog.Prepare(adressen);
  
  // Bei Klick auf alleMarkieren den dialog direkt aufrufen anstatt showMessage(..), da hier der  '#dialogmarkieren' Element
  // nicht aus dem DOM entfernt werden darf (via remove)  
  $('.alleMarkieren').click(function(event){
    event.preventDefault();
    $('#dialog_markierenneu').dialog('open');
  });
  //Markierungsdialog Ende
  
  
 //Filternfunktion für die Adressübersicht in Tool33 Adressinfo
 $('.adrSuchbutton').click(function(){
   //Formular ist bereits im DOM Baum vorhanden (mit display: none) und wird geklont; dadurch bleiben die aus der
   //Session ins Formular geladenen werte der Inputfelder erhalten; Im Klone Objekt können die Werte dann 
   //verändert werden und nach normalen Schließen bleiben trotztdem die alten Werte (aus der Session) erhalten; Dies
   //vereinfacht den Mechanismus zur Suche (im gl. zum Kursfilter) erheblich (siehe $('#kurssuche').dialog(..) in
   // project.js
   var $adrSuchDiv = $('#adrSuche').clone();
   
  // var newLink = link + '&filterAdresse=1#' + tabId;
   var buttons =  { "Schließen":      function()   { $(this).dialog("close"); },
		    "Filter leeren" :   function ()  {  
                      $adrSuchDiv.find('form input').each(function(index, item){
                        $(item).val('');
                      });
                      $adrSuchDiv.find('form').submit();
                                                      $(this).dialog("close");
                                                      
                                                      KuferTools.Utils.AjaxLadebildschirm.Start();
                                          },
		    "Filter setzen" : function() { KuferTools.PersonDetails.submitPersonenSuche($adrSuchDiv) }
		};
                
                
    showMessage($adrSuchDiv, 'Filter für Adressen', buttons, 600, undefined, function () {
      KuferTools.PersonDetails.submitPersonenSuche($adrSuchDiv);
    });
    
    var $inputs = KuferTools.Utils.getInputableElements($adrSuchDiv);
    $inputs.bind('change', function() { validateInput( $(this) ); } );
  });
 
  //Erweitert die Url um die zuletzt ausgewählten Ids; wird nur benötigt, falls auf der angezeigten Seite Ids (von Adressen) ausgewählt wurden, 
  //um sich diese beim Blättern für weitere Selektionen auf den nächsten Seiten vorzumerken; gilt hier nur für das Blättern in der Adressübersicht, 
  //und somit nicht für andere Arten von Ids (z.B. RaumIds, KursIds, TN Ids etc.)
  $('.main_buttons.adr a.blaettern').click(function () {
    var $this = $(this);
    var href = $this.prop('href');
    $this.prop('href', href + KuferTools.GetUrlPartForIdSelection());
   });
  
}); //end document ready